﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        div.RadGrid .rgRow table.details td,
        div.RadGrid .rgAltRow table.details td,
        div.RadGrid .rgRow table.details th,
        div.RadGrid .rgAltRow table.details th
        {
        	border:none;
        	text-align:left;
        	color:#00156E;
        	padding-left:7px;
        }
        
        div.RadGrid .rgRow table.details img,
        div.RadGrid .rgAltRow table.details img
        {
        	border:1px solid #5D8CC9;
        	cursor:pointer;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
    </telerik:RadScriptManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server"
        DefaultLoadingPanelID="RadAjaxLoadingPanel1">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server"
        Skin="Office2007">
    </telerik:RadAjaxLoadingPanel>
    <div>
        <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
            <script type="text/javascript">
                function disableAJAX()
                {
                    var manager = $find('<%= RadAjaxManager1.ClientID %>');
                    manager.set_enableAJAX(false);
                    setTimeout(function()
                    {
                        manager.set_enableAJAX(true);
                    }, 100);
                }
            </script>
        </telerik:RadCodeBlock>
        
        <telerik:RadGrid ID="RadGrid1" runat="server" Skin="Office2007" Width="500px"
            style="margin:auto" 
            AutoGenerateColumns="false" OnItemCommand="RadGrid1_ItemCommand"
            DataSourceID="SqlDataSource1" AllowPaging="true" PageSize="1"
            AllowFilteringByColumn="true">
            <MasterTableView>
                <PagerStyle Mode="NextPrev" ShowPagerText="true" />
                <Columns>
                    <telerik:GridBoundColumn DataField="ContactName" HeaderText="Contact Name"
                        FilterControlWidth="85%">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Company" HeaderText="Company"
                        FilterControlWidth="85%">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
            <MasterTableView DataKeyNames="CustomerID, ContactName">
                <ItemTemplate>
                    <table class="details">
                        <tr>
                            <td rowspan="8">
                                <asp:LinkButton ID="DownloadButton" runat="server" 
                                    CommandName="DownloadPhoto" OnClientClick="disableAJAX();">
                                    <telerik:RadBinaryImage ID="CutomerPhoto" runat="server" 
                                        DataValue='<%# Eval("Photo") %>'
                                        ToolTip='Click to download this photo'
                                        Width="150px" Height="200px" ResizeMode="Fit"/>
                                </asp:LinkButton>
                            </td>
                            <th>
                                Name:
                            </th>
                            <th>
                                <%# Eval("ContactName") %>
                            </th>
                        </tr>
                        <tr>
                            <td>
                                Contact Title:
                            </td>
                            <td>
                                <%# Eval("ContactTitle") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Company Name:
                            </td>
                            <td>
                                <%# Eval("CompanyName") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Address:
                            </td>
                            <td>
                                <%# Eval("Address") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                City:
                            </td>
                            <td>
                                <%# Eval("City") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Country:
                            </td>
                            <td>
                                <%# Eval("Country") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Phone:
                            </td>
                            <td>
                                <%# Eval("Phone") %>
                            </td>
                        </tr>
                    </table>
                </ItemTemplate>
            </MasterTableView>
        </telerik:RadGrid>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:TelerikConnectionString %>"
            SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [ContactTitle], [Address], [City], [Country], [Phone], [Photo] FROM [CustomerPhotos]">
        </asp:SqlDataSource>
    </div>
    </form>
</body>
</html>
